com.fasterxml.jackson.dataformat.avro.schema

## Class MapVisitor

- java.lang.Object
- - com.fasterxml.jackson.databind.jsonFormatVisitors.JsonMapFormatVisitor.Base
  - - com.fasterxml.jackson.dataformat.avro.schema.MapVisitor

- All Implemented Interfaces:
    com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWithSerializerProvider, com.fasterxml.jackson.databind.jsonFormatVisitors.JsonMapFormatVisitor, SchemaBuilder

      public class MapVisitor
      extends com.fasterxml.jackson.databind.jsonFormatVisitors.JsonMapFormatVisitor.Base
      implements SchemaBuilder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.fasterxml.jackson.databind.jsonFormatVisitors.JsonMapFormatVisitor

      `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonMapFormatVisitor.Base`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected com.fasterxml.jackson.databind.JavaType` | `_keyType`
    `protected DefinedSchemas` | `_schemas`
    `protected com.fasterxml.jackson.databind.JavaType` | `_type`
    `protected org.apache.avro.Schema` | `_valueSchema`

    - ### Fields inherited from class com.fasterxml.jackson.databind.jsonFormatVisitors.JsonMapFormatVisitor.Base

      `_provider`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapVisitor(com.fasterxml.jackson.databind.SerializerProvider p, com.fasterxml.jackson.databind.JavaType type, DefinedSchemas schemas)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.avro.Schema` | `builtAvroSchema()`
    `void` | `keyFormat(com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable handler, com.fasterxml.jackson.databind.JavaType keyType)`
    `void` | `valueFormat(com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable handler, com.fasterxml.jackson.databind.JavaType valueType)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.jsonFormatVisitors.JsonMapFormatVisitor.Base

      `getProvider, setProvider`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _type

          protected final com.fasterxml.jackson.databind.JavaType _type

    - #### _schemas

          protected final DefinedSchemas _schemas

    - #### _valueSchema

          protected org.apache.avro.Schema _valueSchema

    - #### _keyType

          protected com.fasterxml.jackson.databind.JavaType _keyType

  - ### Constructor Detail

    - #### MapVisitor

          public MapVisitor(com.fasterxml.jackson.databind.SerializerProvider p,
                            com.fasterxml.jackson.databind.JavaType type,
                            DefinedSchemas schemas)

  - ### Method Detail

    - #### builtAvroSchema

          public org.apache.avro.Schema builtAvroSchema()

      Specified by:
        `builtAvroSchema` in interface `SchemaBuilder`

    - #### keyFormat

          public void keyFormat(com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable handler,
                                com.fasterxml.jackson.databind.JavaType keyType)
                         throws com.fasterxml.jackson.databind.JsonMappingException

      Specified by:
        `keyFormat` in interface `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonMapFormatVisitor`
      Overrides:
        `keyFormat` in class `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonMapFormatVisitor.Base`
      Throws:
        `com.fasterxml.jackson.databind.JsonMappingException`

    - #### valueFormat

          public void valueFormat(com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable handler,
                                  com.fasterxml.jackson.databind.JavaType valueType)
                           throws com.fasterxml.jackson.databind.JsonMappingException

      Specified by:
        `valueFormat` in interface `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonMapFormatVisitor`
      Overrides:
        `valueFormat` in class `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonMapFormatVisitor.Base`
      Throws:
        `com.fasterxml.jackson.databind.JsonMappingException`

Copyright © 2019 FasterXML. All rights reserved.